/* biome-ignore-all lint/complexity/noImportantStyles: needed for orverride */
@layer theme, override;

/* Override Light Mode */
@layer override {
  html figure.light {
    --logo-primary: var(--main-secondary) !important;
    --logo-accent: var(--main-dark) !important;
  }

  /* Override Dark Mode */
  html figure.dark {
    --logo-primary: var(--main-primary) !important;
    --logo-accent: var(--main-light) !important;
  }

  /* Override Mono */
  html figure.mono {
    --logo-primary: var(--logo-accent) !important;
  }
}

/* SVG Element Mappings */
.orbit {
  stroke: var(--logo-primary, #000000);
  fill: none;
  stroke-width: 4;
  stroke-linejoin: round;
}
.nucleus {
  fill: var(--logo-accent, #000000);
  stroke: var(--logo-accent, #000000);
  stroke-width: 4;
}
.electron {
  fill: var(--logo-accent, #000000);
}
.logo-text {
  fill: var(--logo-primary, #000000);
  font-family: "Oswald", sans-serif;
  font-weight: 800;
}
